com.rscja.deviceapi.entity

## Class ReaderIPEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.ReaderIPEntity

-     public class ReaderIPEntity
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderIPEntity()`
    `ReaderIPEntity(java.lang.String ip, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDns1()`
    `java.lang.String` | `getDns2()`
    `java.lang.String` | `getGateway()`
    `java.lang.String` | `getIp()`
    `java.lang.String` | `getIpv6Dns1()`
    `java.lang.String` | `getIpv6Dns2()`
    `java.lang.String` | `getIpv6Ip1()`
    `java.lang.String` | `getIpv6Ip2()`
    `java.lang.String` | `getIpv6Ip3()`
    `int` | `getNetworkType()`
    `int` | `getPort()`
    `java.lang.String` | `getSsid()`
    `java.lang.String` | `getSubnetMask()`
    `void` | `setDns1(java.lang.String dns1)`
    `void` | `setDns2(java.lang.String dns2)`
    `void` | `setGateway(java.lang.String gateway)`
    `void` | `setIp(java.lang.String ip)`
    `void` | `setIpv6Dns1(java.lang.String ipv6Dns1)`
    `void` | `setIpv6Dns2(java.lang.String ipv6Dns2)`
    `void` | `setIpv6Ip1(java.lang.String ipv6Ip1)`
    `void` | `setIpv6Ip2(java.lang.String ipv6Ip2)`
    `void` | `setIpv6Ip3(java.lang.String ipv6Ip3)`
    `void` | `setNetworkType(int networkType)`
    `void` | `setPort(int port)`
    `void` | `setSsid(java.lang.String ssid)`
    `void` | `setSubnetMask(java.lang.String subnetMask)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderIPEntity

          public ReaderIPEntity()

    - #### ReaderIPEntity

          public ReaderIPEntity(java.lang.String ip,
                                int port)

  - ### Method Detail

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getIp

          public java.lang.String getIp()

    - #### setIp

          public void setIp(java.lang.String ip)

    - #### getGateway

          public java.lang.String getGateway()

    - #### setGateway

          public void setGateway(java.lang.String gateway)

    - #### getSubnetMask

          public java.lang.String getSubnetMask()

    - #### setSubnetMask

          public void setSubnetMask(java.lang.String subnetMask)

    - #### getDns1

          public java.lang.String getDns1()

    - #### setDns1

          public void setDns1(java.lang.String dns1)

    - #### getDns2

          public java.lang.String getDns2()

    - #### setDns2

          public void setDns2(java.lang.String dns2)

    - #### getIpv6Ip1

          public java.lang.String getIpv6Ip1()

    - #### setIpv6Ip1

          public void setIpv6Ip1(java.lang.String ipv6Ip1)

    - #### getIpv6Ip2

          public java.lang.String getIpv6Ip2()

    - #### setIpv6Ip2

          public void setIpv6Ip2(java.lang.String ipv6Ip2)

    - #### getIpv6Ip3

          public java.lang.String getIpv6Ip3()

    - #### setIpv6Ip3

          public void setIpv6Ip3(java.lang.String ipv6Ip3)

    - #### getIpv6Dns1

          public java.lang.String getIpv6Dns1()

    - #### setIpv6Dns1

          public void setIpv6Dns1(java.lang.String ipv6Dns1)

    - #### getIpv6Dns2

          public java.lang.String getIpv6Dns2()

    - #### setIpv6Dns2

          public void setIpv6Dns2(java.lang.String ipv6Dns2)

    - #### getNetworkType

          public int getNetworkType()

    - #### setNetworkType

          public void setNetworkType(int networkType)

    - #### getSsid

          public java.lang.String getSsid()

    - #### setSsid

          public void setSsid(java.lang.String ssid)